Bug#455187: FTBFS with GCC 4.3: missing #includes

Martin Michlmayr tbm at cyrius.com
Sun Dec 9 07:13:52 UTC 2007

Package: supertuxkart
Version: 0.3-1
Usertags: ftbfs-gcc-4.3

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  There's some more information about this at

You can reproduce this problem with gcc-snapshot from unstable.  Note
that Red Hat, Novell and Ubuntu have done some work getting packages
to build with GCC 4.3 so there might be patches floating around
somewhere.  I suggest you talk to your upstream.

> Automatic build of supertuxkart_0.3-1 on em64t by sbuild/amd64 0.53
> if x86_64-linux-gnu-g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"supertuxkart\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_OPENAL=1 -DHAVE_MIKMOD=1  -I. -I.  -DSUPERTUXKART_DATADIR="\"/usr/share/games/supertuxkart/\""   -g -O2 -Wall -MT lexer.o -MD -MP -MF ".deps/lexer.Tpo" -c -o lexer.o `test -f 'lisp/lexer.cpp' || echo './'`lisp/lexer.cpp; \
> 	then mv -f ".deps/lexer.Tpo" ".deps/lexer.Po"; else rm -f ".deps/lexer.Tpo"; exit 1; fi
> lisp/lexer.cpp: In member function 'lisp::Lexer::TokenType lisp::Lexer::getNextToken()':
> lisp/lexer.cpp:181: error: 'strcmp' was not declared in this scope
> lisp/lexer.cpp:183: error: 'strcmp' was not declared in this scope
> lisp/lexer.cpp:218: error: 'strchr' was not declared in this scope
> lisp/lexer.cpp:239: error: 'strchr' was not declared in this scope
> make[2]: *** [lexer.o] Error 1

Martin Michlmayr

More information about the Pkg-games-devel mailing list